package com.tzld.piaoquan.api.dao.mapper.wecom.thirdpart;

import com.tzld.piaoquan.api.model.po.wecom.thirdpart.ThirdPartWeComRoom;
import com.tzld.piaoquan.api.model.po.wecom.thirdpart.ThirdPartWeComRoomExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface ThirdPartWeComRoomMapper {
    long countByExample(ThirdPartWeComRoomExample example);

    int deleteByExample(ThirdPartWeComRoomExample example);

    int deleteByPrimaryKey(Long id);

    int insert(ThirdPartWeComRoom record);

    int insertSelective(ThirdPartWeComRoom record);

    List<ThirdPartWeComRoom> selectByExample(ThirdPartWeComRoomExample example);

    ThirdPartWeComRoom selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") ThirdPartWeComRoom record, @Param("example") ThirdPartWeComRoomExample example);

    int updateByExample(@Param("record") ThirdPartWeComRoom record, @Param("example") ThirdPartWeComRoomExample example);

    int updateByPrimaryKeySelective(ThirdPartWeComRoom record);

    int updateByPrimaryKey(ThirdPartWeComRoom record);
}